evhtp_header_t Struct Reference

a generic key/value structure More...

`#include <evhtp.h>`

## Public Member Functions

| TAILQ_ENTRY (evhtp_kv) next

## Data Fields

char * | key
char * | val
size_t | klen
size_t | vlen
char | k_heaped
| set to 1 if the key can be free()'d
char | v_heaped
| set to 1 if the val can be free()'d

## Detailed Description

a generic key/value structure

Definition at line 339 of file evhtp/evhtp.h.

## Member Function Documentation

## TAILQ_ENTRY()

evhtp_header_t::TAILQ_ENTRY | ( | evhtp_kv |  | ) |

## Field Documentation

## k_heaped

char evhtp_header_t::k_heaped

set to 1 if the key can be free()'d

Definition at line 346 of file evhtp/evhtp.h.

## key

char* evhtp_header_t::key

Definition at line 340 of file evhtp/evhtp.h.

## klen

size_t evhtp_header_t::klen

Definition at line 343 of file evhtp/evhtp.h.

## v_heaped

char evhtp_header_t::v_heaped

set to 1 if the val can be free()'d

Definition at line 347 of file evhtp/evhtp.h.

## val

char* evhtp_header_t::val

Definition at line 341 of file evhtp/evhtp.h.

## vlen

size_t evhtp_header_t::vlen

Definition at line 344 of file evhtp/evhtp.h.

The documentation for this struct was generated from the following file:

- evhtp/evhtp.h